file-userAccounts

Manage and retrieve social media accounts connected to your Publer workspaces. Use these accounts as targets when scheduling or publishing content.

Requirements

  • Authentication: Bearer API token

  • Scope: accounts

  • Headers:

    • Authorization: Bearer-API YOUR_API_KEY

    • Publer-Workspace-Id: YOUR_WORKSPACE_ID

Endpoint

List Accounts

Retrieve all social media accounts in a workspace.

GET /api/v1/accounts

Retrieves a list of all social media accounts available in the specified workspace.

List Accounts

get

Retrieves a list of social media accounts available in the specified workspace.

Authorizations
AuthorizationstringRequired

API key authentication. Format: "Bearer-API YOUR_API_KEY"

Header parameters
Publer-Workspace-IdstringRequired

ID of the workspace to retrieve accounts from

Responses
chevron-right
200

Successful operation

application/json
idstringOptional

Unique identifier for the account

Example: 63c675b54e299e9cf2b667ea
providerstring · enumOptional

The social network provider

Example: blueskyPossible values:
namestringOptional

The display name of the social media account

Example: Tech News Daily
social_idstringOptional

Unique identifier for the account on the social media platform

Example: at://did:plc:q6gjnaw2blty4crticxkmujt/app.bsky.feed.post/3kje3rifpm22n
picturestringOptional

URL to the account's avatar/logo

Example: https://publer-dev.s3.amazonaws.com/uploads/avatars/bluesky_profile.jpg
typestring · enumOptional

Account type

Example: profilePossible values:
get
/accounts

The list of accounts returned will include all social media accounts that you have connected to your Publer workspaces and have permission to access. These accounts can be used to schedule and publish content via the Posts API.

The accounts data provides important information about the social media profiles available for posting, including their configuration settings and current synchronization status.

Supported Providers

Publer supports these network providers and account types:

Provider

Description

Supported Account Types

facebook

Facebook

page, group, profile

instagram

Instagram

business

twitter

Twitter/X

profile

linkedin

LinkedIn

page, profile

pinterest

Pinterest

business, profile

youtube

YouTube

channel

tiktok

TikTok

profile

google

Google Business

location

wordpress

WordPress

blog

telegram

Telegram

channel

mastodon

Mastodon

profile

threads

Threads

profile

bluesky

Bluesky

profile

Last updated

Was this helpful?